opencv: cv::WImageBuffer< T > Class Template Reference

Public Types | Public Member Functions

# cv::WImageBuffer< T > Class Template Reference

`#include <wimage.hpp>`

Inheritance diagram for cv::WImageBuffer< T >:

List of all members.

## Public Types
typedef WImage< T >::BaseType | BaseType
## Public Member Functions
void | Allocate (int width, int height, int nchannels)
void | CloneFrom (const WImage< T > &src)
bool | IsNull () const
void | ReleaseImage ()
void | SetIpl (IplImage *img)
| WImageBuffer ()
| WImageBuffer (int width, int height, int nchannels)
| WImageBuffer (IplImage *img)
| ~WImageBuffer ()

### template<typename T>
class cv::WImageBuffer< T >

## Member Typedef Documentation

template<typename T >

typedef WImage<T>::BaseType cv::WImageBuffer< T >::BaseType

Reimplemented from cv::WImage< T >.

## Constructor & Destructor Documentation

template<typename T >

cv::WImageBuffer< T >::WImageBuffer | ( | ) | `[inline]`

template<typename T >

cv::WImageBuffer< T >::WImageBuffer | ( | int | width,
|  | int | height,
|  | int | nchannels
| ) |  | `[inline]`

template<typename T >

cv::WImageBuffer< T >::WImageBuffer | ( | IplImage * | img ) | `[inline, explicit]`

template<typename T >

cv::WImageBuffer< T >::~WImageBuffer | ( | ) | `[inline]`

## Member Function Documentation

template<typename T >

void cv::WImageBuffer< T >::Allocate | ( | int | width,
|  | int | height,
|  | int | nchannels
| ) |  | `[inline]`

template<typename T >

void cv::WImageBuffer< T >::CloneFrom | ( | const WImage< T > & | src ) | `[inline]`

template<typename T >

bool cv::WImageBuffer< T >::IsNull | ( | ) | const`[inline]`

template<typename T >

void cv::WImageBuffer< T >::ReleaseImage | ( | ) | `[inline]`

template<typename T >

void cv::WImageBuffer< T >::SetIpl | ( | IplImage * | img ) | `[inline]`

Reimplemented from cv::WImage< T >.

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/wimage.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines